package cn.com.poc.equity.entity;	


public class BizPaymentPackageConfigurationEntity {

    private static final long serialVersionUID = 1L;
	/** id
    *
    */ 
    private java.lang.Integer id;

    public java.lang.Integer getId(){
        return this.id;
    }
    
    public void setId(java.lang.Integer id){
        this.id = id;
    }
	/** type
    *类型 normal-普通 professional-专业版 ， ultimate-旗舰版
    */ 
    private java.lang.String type;

    public java.lang.String getType(){
        return this.type;
    }
    
    public void setType(java.lang.String type){
        this.type = type;
    }
	/** domain
    *资源包领域 point-积分包 equity-权益包
    */ 
    private java.lang.String domain;

    public java.lang.String getDomain(){
        return this.domain;
    }
    
    public void setDomain(java.lang.String domain){
        this.domain = domain;
    }
	/** name
    *套餐名
    */ 
    private java.lang.String name;

    public java.lang.String getName(){
        return this.name;
    }
    
    public void setName(java.lang.String name){
        this.name = name;
    }
	/** expired_num
    *过期数
    */ 
    private java.lang.Integer expiredNum;

    public java.lang.Integer getExpiredNum(){
        return this.expiredNum;
    }
    
    public void setExpiredNum(java.lang.Integer expiredNum){
        this.expiredNum = expiredNum;
    }
	/** expired_type
    *套餐过期类型   day-天 month-月 year-年 indefinite-无限期
    */ 
    private java.lang.String expiredType;

    public java.lang.String getExpiredType(){
        return this.expiredType;
    }
    
    public void setExpiredType(java.lang.String expiredType){
        this.expiredType = expiredType;
    }
	/** amount
    *支付金额(分)
    */ 
    private java.lang.Integer amount;

    public java.lang.Integer getAmount(){
        return this.amount;
    }
    
    public void setAmount(java.lang.Integer amount){
        this.amount = amount;
    }
	/** resource_count
    *资源数
    */ 
    private java.lang.Integer resourceCount;

    public java.lang.Integer getResourceCount(){
        return this.resourceCount;
    }
    
    public void setResourceCount(java.lang.Integer resourceCount){
        this.resourceCount = resourceCount;
    }
	/** original_price
    *原价 (分)
    */ 
    private java.lang.Integer originalPrice;

    public java.lang.Integer getOriginalPrice(){
        return this.originalPrice;
    }
    
    public void setOriginalPrice(java.lang.Integer originalPrice){
        this.originalPrice = originalPrice;
    }
	/** is_show_original_price
    *是否显示原价
    */ 
    private java.lang.String isShowOriginalPrice;

    public java.lang.String getIsShowOriginalPrice(){
        return this.isShowOriginalPrice;
    }
    
    public void setIsShowOriginalPrice(java.lang.String isShowOriginalPrice){
        this.isShowOriginalPrice = isShowOriginalPrice;
    }
	/** sort
    *排序
    */ 
    private java.lang.Integer sort;

    public java.lang.Integer getSort(){
        return this.sort;
    }
    
    public void setSort(java.lang.Integer sort){
        this.sort = sort;
    }
	/** description
    *套餐描述
    */ 
    private java.lang.String description;

    public java.lang.String getDescription(){
        return this.description;
    }
    
    public void setDescription(java.lang.String description){
        this.description = description;
    }
	/** extra_data
    *拓展-资源额外配置
    */ 
    private java.lang.String extraData;

    public java.lang.String getExtraData(){
        return this.extraData;
    }
    
    public void setExtraData(java.lang.String extraData){
        this.extraData = extraData;
    }
	/** is_deleted
    *是否删除 Y 是  N 否
    */ 
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
	/** CREATOR
    *创建人
    */ 
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }

    @Override
    public String toString() {
        return "BizPaymentPackageConfigurationEntity{" +
                "id=" + id +
                ", type='" + type + '\'' +
                ", domain='" + domain + '\'' +
                ", name='" + name + '\'' +
                ", expiredNum=" + expiredNum +
                ", expiredType='" + expiredType + '\'' +
                ", amount=" + amount +
                ", resourceCount=" + resourceCount +
                ", originalPrice=" + originalPrice +
                ", isShowOriginalPrice='" + isShowOriginalPrice + '\'' +
                ", sort=" + sort +
                ", description='" + description + '\'' +
                ", extraData='" + extraData + '\'' +
                ", isDeleted='" + isDeleted + '\'' +
                ", creator='" + creator + '\'' +
                ", createdTime=" + createdTime +
                ", modifier='" + modifier + '\'' +
                ", modifiedTime=" + modifiedTime +
                ", sysVersion=" + sysVersion +
                '}';
    }
}